//=============================================================================
//
// file :         PLCaccessClass.h
//
// description :  Include for the PLCaccessClass root class.
//                This class is represents the singleton class for
//                the PLCaccess device class.
//                It contains all properties and methods which the 
//                PLCaccess requires only once e.g. the commands.
//			
// project :      TANGO Device Server
//
// $Author: graziano $
//
// $Revision: 1.13 $
//
// $Log: PLCaccessClass.h,v $
// Revision 1.13  2017-08-21 12:54:37  graziano
// added TopUp_GeV, TopUp_Min_I and booster_board_disabled_xxx attributes
//
// Revision 1.12  2016-01-15 11:21:02  graziano
// added db state and error
//
// Revision 1.11  2010-05-17 08:08:16  zambonl
// ndd
//
// Revision 1.10  2009/11/25 15:41:45  sara
// added reset topup error command
//
// Revision 1.9  2009/11/18 16:53:36  sara
// topup version
//
// Revision 1.8  2008/07/01 13:39:26  sara
// added PLC clock syncronizing command
//
// Revision 1.7  2008/03/17 14:29:56  sara
// Includes access logging and a new attribute: Ramping_condition
//
// Revision 1.6  2008/01/16 16:16:50  sara
// added beam stopper 2.1 signals, changes in rf_stat attribute
//
// Revision 1.5  2007/11/22 16:49:14  sara
// new attributes:Gun_trigger_on, Gun_trigger_interlock_abi, Gun_trigger_access_abi
// enabled database log
//
// Revision 1.4  2007/11/05 10:37:33  sara
// added commands gun_on and gun_off, modified and added signals
//
// Revision 1.3  2007/10/05 09:14:36  sara
// added attribute "version"
//
// Revision 1.2  2007/08/13 10:26:53  sara
// timing thread for receive from PLC timeout
//
// Revision 1.1.1.1  2007/07/02 09:29:34  sara
// Initial release
//
//
// copyleft :     European Synchrotron Radiation Facility
//                BP 220, Grenoble 38043
//                FRANCE
//
//=============================================================================
//
//  		This file is generated by POGO
//	(Program Obviously used to Generate tango Object)
//
//         (c) - Software Engineering Group - ESRF
//=============================================================================

#ifndef _PLCACCESSCLASS_H
#define _PLCACCESSCLASS_H

#include <tango.h>
#include <PLCaccess.h>


namespace PLCaccess_ns
{
//=====================================
//	Define classes for attributes
//=====================================
class BTSRealAttrib: public Tango::SpectrumAttr
{
	public:
		BTSRealAttrib():SpectrumAttr("BTSReal", Tango::DEV_DOUBLE, Tango::READ, 37) {};
		~BTSRealAttrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_BTSReal(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_BTSReal_allowed(ty);}
};

class BTSBoolAttrib: public Tango::SpectrumAttr
{
	public:
		BTSBoolAttrib():SpectrumAttr("BTSBool", Tango::DEV_BOOLEAN, Tango::READ, 32) {};
		~BTSBoolAttrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_BTSBool(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_BTSBool_allowed(ty);}
};

class I_BTS_Thresh_2GevAttrib: public Tango::SpectrumAttr
{
	public:
		I_BTS_Thresh_2GevAttrib():SpectrumAttr("I_BTS_Thresh_2Gev", Tango::DEV_DOUBLE, Tango::READ, 14) {};
		~I_BTS_Thresh_2GevAttrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_I_BTS_Thresh_2Gev(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_I_BTS_Thresh_2Gev_allowed(ty);}
};

class I_BTS_Thresh_2_4GevAttrib: public Tango::SpectrumAttr
{
	public:
		I_BTS_Thresh_2_4GevAttrib():SpectrumAttr("I_BTS_Thresh_2_4Gev", Tango::DEV_LONG, Tango::READ, 14) {};
		~I_BTS_Thresh_2_4GevAttrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_I_BTS_Thresh_2_4Gev(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_I_BTS_Thresh_2_4Gev_allowed(ty);}
};

class I_BTSAttrib: public Tango::SpectrumAttr
{
	public:
		I_BTSAttrib():SpectrumAttr("I_BTS", Tango::DEV_DOUBLE, Tango::READ, 7) {};
		~I_BTSAttrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_I_BTS(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_I_BTS_allowed(ty);}
};

class I_MAX_LostAttrib: public Tango::SpectrumAttr
{
	public:
		I_MAX_LostAttrib():SpectrumAttr("I_MAX_Lost", Tango::DEV_DOUBLE, Tango::READ, 2) {};
		~I_MAX_LostAttrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_I_MAX_Lost(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_I_MAX_Lost_allowed(ty);}
};

class Booster_board_disabled_008Attrib: public Tango::SpectrumAttr
{
	public:
		Booster_board_disabled_008Attrib():SpectrumAttr("Booster_board_disabled_008", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
		~Booster_board_disabled_008Attrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_Booster_board_disabled_008(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_Booster_board_disabled_008_allowed(ty);}
};

class Booster_board_disabled_048Attrib: public Tango::SpectrumAttr
{
	public:
		Booster_board_disabled_048Attrib():SpectrumAttr("Booster_board_disabled_048", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
		~Booster_board_disabled_048Attrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_Booster_board_disabled_048(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_Booster_board_disabled_048_allowed(ty);}
};

class Booster_board_disabled_064Attrib: public Tango::SpectrumAttr
{
	public:
		Booster_board_disabled_064Attrib():SpectrumAttr("Booster_board_disabled_064", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
		~Booster_board_disabled_064Attrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_Booster_board_disabled_064(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_Booster_board_disabled_064_allowed(ty);}
};

class Booster_board_disabled_080Attrib: public Tango::SpectrumAttr
{
	public:
		Booster_board_disabled_080Attrib():SpectrumAttr("Booster_board_disabled_080", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
		~Booster_board_disabled_080Attrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_Booster_board_disabled_080(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_Booster_board_disabled_080_allowed(ty);}
};

class Booster_board_disabled_100Attrib: public Tango::SpectrumAttr
{
	public:
		Booster_board_disabled_100Attrib():SpectrumAttr("Booster_board_disabled_100", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
		~Booster_board_disabled_100Attrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_Booster_board_disabled_100(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_Booster_board_disabled_100_allowed(ty);}
};

class Booster_board_disabled_112Attrib: public Tango::SpectrumAttr
{
	public:
		Booster_board_disabled_112Attrib():SpectrumAttr("Booster_board_disabled_112", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
		~Booster_board_disabled_112Attrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_Booster_board_disabled_112(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_Booster_board_disabled_112_allowed(ty);}
};

class Booster_board_disabled_118Attrib: public Tango::SpectrumAttr
{
	public:
		Booster_board_disabled_118Attrib():SpectrumAttr("Booster_board_disabled_118", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
		~Booster_board_disabled_118Attrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_Booster_board_disabled_118(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_Booster_board_disabled_118_allowed(ty);}
};

class Booster_board_disabled_124Attrib: public Tango::SpectrumAttr
{
	public:
		Booster_board_disabled_124Attrib():SpectrumAttr("Booster_board_disabled_124", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
		~Booster_board_disabled_124Attrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_Booster_board_disabled_124(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_Booster_board_disabled_124_allowed(ty);}
};

class Booster_board_disabled_130Attrib: public Tango::SpectrumAttr
{
	public:
		Booster_board_disabled_130Attrib():SpectrumAttr("Booster_board_disabled_130", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
		~Booster_board_disabled_130Attrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_Booster_board_disabled_130(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_Booster_board_disabled_130_allowed(ty);}
};

class Booster_board_disabled_136Attrib: public Tango::SpectrumAttr
{
	public:
		Booster_board_disabled_136Attrib():SpectrumAttr("Booster_board_disabled_136", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
		~Booster_board_disabled_136Attrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_Booster_board_disabled_136(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_Booster_board_disabled_136_allowed(ty);}
};

class Booster_board_disabled_142Attrib: public Tango::SpectrumAttr
{
	public:
		Booster_board_disabled_142Attrib():SpectrumAttr("Booster_board_disabled_142", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
		~Booster_board_disabled_142Attrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_Booster_board_disabled_142(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_Booster_board_disabled_142_allowed(ty);}
};

class Booster_board_disabled_148Attrib: public Tango::SpectrumAttr
{
	public:
		Booster_board_disabled_148Attrib():SpectrumAttr("Booster_board_disabled_148", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
		~Booster_board_disabled_148Attrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_Booster_board_disabled_148(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_Booster_board_disabled_148_allowed(ty);}
};

class Booster_board_disabled_223Attrib: public Tango::SpectrumAttr
{
	public:
		Booster_board_disabled_223Attrib():SpectrumAttr("Booster_board_disabled_223", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
		~Booster_board_disabled_223Attrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_Booster_board_disabled_223(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_Booster_board_disabled_223_allowed(ty);}
};

class Booster_board_disabled_229Attrib: public Tango::SpectrumAttr
{
	public:
		Booster_board_disabled_229Attrib():SpectrumAttr("Booster_board_disabled_229", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
		~Booster_board_disabled_229Attrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_Booster_board_disabled_229(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_Booster_board_disabled_229_allowed(ty);}
};

class Booster_board_disabled_235Attrib: public Tango::SpectrumAttr
{
	public:
		Booster_board_disabled_235Attrib():SpectrumAttr("Booster_board_disabled_235", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
		~Booster_board_disabled_235Attrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_Booster_board_disabled_235(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_Booster_board_disabled_235_allowed(ty);}
};

class Booster_board_disabled_247Attrib: public Tango::SpectrumAttr
{
	public:
		Booster_board_disabled_247Attrib():SpectrumAttr("Booster_board_disabled_247", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
		~Booster_board_disabled_247Attrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_Booster_board_disabled_247(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_Booster_board_disabled_247_allowed(ty);}
};

class Booster_board_disabled_253Attrib: public Tango::SpectrumAttr
{
	public:
		Booster_board_disabled_253Attrib():SpectrumAttr("Booster_board_disabled_253", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
		~Booster_board_disabled_253Attrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_Booster_board_disabled_253(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_Booster_board_disabled_253_allowed(ty);}
};

class Booster_board_disabled_259Attrib: public Tango::SpectrumAttr
{
	public:
		Booster_board_disabled_259Attrib():SpectrumAttr("Booster_board_disabled_259", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
		~Booster_board_disabled_259Attrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_Booster_board_disabled_259(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_Booster_board_disabled_259_allowed(ty);}
};

class Booster_board_disabled_265Attrib: public Tango::SpectrumAttr
{
	public:
		Booster_board_disabled_265Attrib():SpectrumAttr("Booster_board_disabled_265", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
		~Booster_board_disabled_265Attrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_Booster_board_disabled_265(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_Booster_board_disabled_265_allowed(ty);}
};

class Booster_board_disabled_278Attrib: public Tango::SpectrumAttr
{
	public:
		Booster_board_disabled_278Attrib():SpectrumAttr("Booster_board_disabled_278", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
		~Booster_board_disabled_278Attrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_Booster_board_disabled_278(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_Booster_board_disabled_278_allowed(ty);}
};

class Booster_board_disabled_291Attrib: public Tango::SpectrumAttr
{
	public:
		Booster_board_disabled_291Attrib():SpectrumAttr("Booster_board_disabled_291", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
		~Booster_board_disabled_291Attrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_Booster_board_disabled_291(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_Booster_board_disabled_291_allowed(ty);}
};

class Booster_board_disabled_304Attrib: public Tango::SpectrumAttr
{
	public:
		Booster_board_disabled_304Attrib():SpectrumAttr("Booster_board_disabled_304", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
		~Booster_board_disabled_304Attrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_Booster_board_disabled_304(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_Booster_board_disabled_304_allowed(ty);}
};

class Booster_board_disabled_310Attrib: public Tango::SpectrumAttr
{
	public:
		Booster_board_disabled_310Attrib():SpectrumAttr("Booster_board_disabled_310", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
		~Booster_board_disabled_310Attrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_Booster_board_disabled_310(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_Booster_board_disabled_310_allowed(ty);}
};

class Booster_board_disabled_316Attrib: public Tango::SpectrumAttr
{
	public:
		Booster_board_disabled_316Attrib():SpectrumAttr("Booster_board_disabled_316", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
		~Booster_board_disabled_316Attrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_Booster_board_disabled_316(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_Booster_board_disabled_316_allowed(ty);}
};

class Booster_board_disabled_321Attrib: public Tango::SpectrumAttr
{
	public:
		Booster_board_disabled_321Attrib():SpectrumAttr("Booster_board_disabled_321", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
		~Booster_board_disabled_321Attrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_Booster_board_disabled_321(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_Booster_board_disabled_321_allowed(ty);}
};

class Booster_board_disabled_333Attrib: public Tango::SpectrumAttr
{
	public:
		Booster_board_disabled_333Attrib():SpectrumAttr("Booster_board_disabled_333", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
		~Booster_board_disabled_333Attrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_Booster_board_disabled_333(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_Booster_board_disabled_333_allowed(ty);}
};

class Booster_board_disabled_339Attrib: public Tango::SpectrumAttr
{
	public:
		Booster_board_disabled_339Attrib():SpectrumAttr("Booster_board_disabled_339", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
		~Booster_board_disabled_339Attrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_Booster_board_disabled_339(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_Booster_board_disabled_339_allowed(ty);}
};

class Booster_board_disabled_345Attrib: public Tango::SpectrumAttr
{
	public:
		Booster_board_disabled_345Attrib():SpectrumAttr("Booster_board_disabled_345", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
		~Booster_board_disabled_345Attrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_Booster_board_disabled_345(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_Booster_board_disabled_345_allowed(ty);}
};

class Topup_GeVAttrib: public Tango::SpectrumAttr
{
	public:
		Topup_GeVAttrib():SpectrumAttr("TopUp_GeV", Tango::DEV_BOOLEAN, Tango::READ, 2) {};
		~Topup_GeVAttrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_Topup_GeV(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_Topup_GeV_allowed(ty);}
};

class Min_I_TopUpAttrib: public Tango::SpectrumAttr
{
	public:
		Min_I_TopUpAttrib():SpectrumAttr("TopUp_Min_I", Tango::DEV_LONG, Tango::READ, 2) {};
		~Min_I_TopUpAttrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_Min_I_TopUp(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_Min_I_TopUp_allowed(ty);}
};

class DBErrorAttrib: public Tango::Attr
{
	public:
		DBErrorAttrib():Attr("DBError", Tango::DEV_STRING, Tango::READ) {};
		~DBErrorAttrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_DBError(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_DBError_allowed(ty);}
};

class DBStateAttrib: public Tango::Attr
{
	public:
		DBStateAttrib():Attr("DBState", Tango::DEV_BOOLEAN, Tango::READ) {};
		~DBStateAttrib() {};

		virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
		{(static_cast<PLCaccess *>(dev))->read_DBState(att);}
		virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
		{return (static_cast<PLCaccess *>(dev))->is_DBState_allowed(ty);}
};

class Topup_errAttrib: public Tango::SpectrumAttr
{
public:
	Topup_errAttrib():SpectrumAttr("Topup_err", Tango::DEV_BOOLEAN, Tango::READ, 15) {};
	~Topup_errAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Topup_err(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Topup_err_allowed(ty);}
};

class Check_guntr_abiAttrib: public Tango::SpectrumAttr
{
public:
	Check_guntr_abiAttrib():SpectrumAttr("Check_guntr_abi", Tango::DEV_BOOLEAN, Tango::READ, 30) {};
	~Check_guntr_abiAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Check_guntr_abi(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Check_guntr_abi_allowed(ty);}
};

class Check_open_bst1_3Attrib: public Tango::SpectrumAttr
{
public:
	Check_open_bst1_3Attrib():SpectrumAttr("Check_open_bst1_3", Tango::DEV_BOOLEAN, Tango::READ, 13) {};
	~Check_open_bst1_3Attrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Check_open_bst1_3(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Check_open_bst1_3_allowed(ty);}
};

class Check_open_bst1_2Attrib: public Tango::SpectrumAttr
{
public:
	Check_open_bst1_2Attrib():SpectrumAttr("Check_open_bst1_2", Tango::DEV_BOOLEAN, Tango::READ, 13) {};
	~Check_open_bst1_2Attrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Check_open_bst1_2(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Check_open_bst1_2_allowed(ty);}
};

class Check_open_bst1_1Attrib: public Tango::SpectrumAttr
{
public:
	Check_open_bst1_1Attrib():SpectrumAttr("Check_open_bst1_1", Tango::DEV_BOOLEAN, Tango::READ, 13) {};
	~Check_open_bst1_1Attrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Check_open_bst1_1(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Check_open_bst1_1_allowed(ty);}
};

class Check_inj_srAttrib: public Tango::SpectrumAttr
{
public:
	Check_inj_srAttrib():SpectrumAttr("Check_inj_sr", Tango::DEV_BOOLEAN, Tango::READ, 14) {};
	~Check_inj_srAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Check_inj_sr(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Check_inj_sr_allowed(ty);}
};

class Check_topup_testAttrib: public Tango::SpectrumAttr
{
public:
	Check_topup_testAttrib():SpectrumAttr("Check_topup_test", Tango::DEV_BOOLEAN, Tango::READ, 14) {};
	~Check_topup_testAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Check_topup_test(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Check_topup_test_allowed(ty);}
};

class Check_topup_injAttrib: public Tango::SpectrumAttr
{
public:
	Check_topup_injAttrib():SpectrumAttr("Check_topup_inj", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
	~Check_topup_injAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Check_topup_inj(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Check_topup_inj_allowed(ty);}
};

class EfficiencyAttrib: public Tango::SpectrumAttr
{
public:
	EfficiencyAttrib():SpectrumAttr("Efficiency", Tango::DEV_DOUBLE, Tango::READ, 200) {};
	~EfficiencyAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Efficiency(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Efficiency_allowed(ty);}
};

class LOST_LT_currentAttrib: public Tango::SpectrumAttr
{
public:
	LOST_LT_currentAttrib():SpectrumAttr("LOST_LT_current", Tango::DEV_DOUBLE, Tango::READ, 200) {};
	~LOST_LT_currentAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_LOST_LT_current(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_LOST_LT_current_allowed(ty);}
};

class LOST_ST_currentAttrib: public Tango::SpectrumAttr
{
public:
	LOST_ST_currentAttrib():SpectrumAttr("LOST_ST_current", Tango::DEV_DOUBLE, Tango::READ, 200) {};
	~LOST_ST_currentAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_LOST_ST_current(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_LOST_ST_current_allowed(ty);}
};

class ACCU_ST_currentAttrib: public Tango::SpectrumAttr
{
public:
	ACCU_ST_currentAttrib():SpectrumAttr("ACCU_ST_current", Tango::DEV_DOUBLE, Tango::READ, 200) {};
	~ACCU_ST_currentAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_ACCU_ST_current(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_ACCU_ST_current_allowed(ty);}
};

class INJ_ST_currentAttrib: public Tango::SpectrumAttr
{
public:
	INJ_ST_currentAttrib():SpectrumAttr("INJ_ST_current", Tango::DEV_DOUBLE, Tango::READ, 200) {};
	~INJ_ST_currentAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_INJ_ST_current(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_INJ_ST_current_allowed(ty);}
};

class I0_ST_currentAttrib: public Tango::SpectrumAttr
{
public:
	I0_ST_currentAttrib():SpectrumAttr("I0_ST_current", Tango::DEV_DOUBLE, Tango::READ, 200) {};
	~I0_ST_currentAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_I0_ST_current(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_I0_ST_current_allowed(ty);}
};

class B_SR_currentAttrib: public Tango::SpectrumAttr
{
public:
	B_SR_currentAttrib():SpectrumAttr("B_SR_current", Tango::DEV_DOUBLE, Tango::READ, 200) {};
	~B_SR_currentAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_B_SR_current(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_B_SR_current_allowed(ty);}
};

class SR_currentAttrib: public Tango::SpectrumAttr
{
public:
	SR_currentAttrib():SpectrumAttr("SR_current", Tango::DEV_DOUBLE, Tango::READ, 200) {};
	~SR_currentAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_SR_current(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_SR_current_allowed(ty);}
};

class B_currentAttrib: public Tango::SpectrumAttr
{
public:
	B_currentAttrib():SpectrumAttr("B_current", Tango::DEV_DOUBLE, Tango::READ, 200) {};
	~B_currentAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_B_current(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_B_current_allowed(ty);}
};

class Curr_shotAttrib: public Tango::SpectrumAttr
{
public:
	Curr_shotAttrib():SpectrumAttr("Curr_shot", Tango::DEV_DOUBLE, Tango::READ, 9) {};
	~Curr_shotAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Curr_shot(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Curr_shot_allowed(ty);}
};

class Ramping_conditionAttrib: public Tango::SpectrumAttr
{
public:
	Ramping_conditionAttrib():SpectrumAttr("Ramping_condition", Tango::DEV_BOOLEAN, Tango::READ, 4) {};
	~Ramping_conditionAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Ramping_condition(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Ramping_condition_allowed(ty);}
};

class Part_bstB_2_1Attrib: public Tango::SpectrumAttr
{
public:
	Part_bstB_2_1Attrib():SpectrumAttr("Part_bstB_2_1", Tango::DEV_BOOLEAN, Tango::READ, 6) {};
	~Part_bstB_2_1Attrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Part_bstB_2_1(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Part_bstB_2_1_allowed(ty);}
};

class Ronda_fail_drAttrib: public Tango::SpectrumAttr
{
public:
	Ronda_fail_drAttrib():SpectrumAttr("Ronda_fail_dr", Tango::DEV_BOOLEAN, Tango::READ, 32) {};
	~Ronda_fail_drAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Ronda_fail_dr(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Ronda_fail_dr_allowed(ty);}
};

class Doors_ronda_allAttrib: public Tango::SpectrumAttr
{
public:
	Doors_ronda_allAttrib():SpectrumAttr("Doors_ronda_all", Tango::DEV_BOOLEAN, Tango::READ, 24) {};
	~Doors_ronda_allAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Doors_ronda_all(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Doors_ronda_all_allowed(ty);}
};

class Memo_barrAttrib: public Tango::SpectrumAttr
{
public:
	Memo_barrAttrib():SpectrumAttr("Memo_barr", Tango::DEV_BOOLEAN, Tango::READ, 4) {};
	~Memo_barrAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Memo_barr(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Memo_barr_allowed(ty);}
};

class Ronda_sx_fail_causeAttrib: public Tango::SpectrumAttr
{
public:
	Ronda_sx_fail_causeAttrib():SpectrumAttr("Ronda_sx_fail_cause", Tango::DEV_BOOLEAN, Tango::READ, 12) {};
	~Ronda_sx_fail_causeAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Ronda_sx_fail_cause(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Ronda_sx_fail_cause_allowed(ty);}
};

class Ronda_dx_fail_causeAttrib: public Tango::SpectrumAttr
{
public:
	Ronda_dx_fail_causeAttrib():SpectrumAttr("Ronda_dx_fail_cause", Tango::DEV_BOOLEAN, Tango::READ, 9) {};
	~Ronda_dx_fail_causeAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Ronda_dx_fail_cause(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Ronda_dx_fail_cause_allowed(ty);}
};

class Ronda_roof_fail_causeAttrib: public Tango::SpectrumAttr
{
public:
	Ronda_roof_fail_causeAttrib():SpectrumAttr("Ronda_roof_fail_cause", Tango::DEV_BOOLEAN, Tango::READ, 7) {};
	~Ronda_roof_fail_causeAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Ronda_roof_fail_cause(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Ronda_roof_fail_cause_allowed(ty);}
};

class Ronda_int_fail_causeAttrib: public Tango::SpectrumAttr
{
public:
	Ronda_int_fail_causeAttrib():SpectrumAttr("Ronda_int_fail_cause", Tango::DEV_BOOLEAN, Tango::READ, 8) {};
	~Ronda_int_fail_causeAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Ronda_int_fail_cause(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Ronda_int_fail_cause_allowed(ty);}
};

class Ronda_bo_fail_causeAttrib: public Tango::SpectrumAttr
{
public:
	Ronda_bo_fail_causeAttrib():SpectrumAttr("Ronda_bo_fail_cause", Tango::DEV_BOOLEAN, Tango::READ, 21) {};
	~Ronda_bo_fail_causeAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Ronda_bo_fail_cause(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Ronda_bo_fail_cause_allowed(ty);}
};

class Ronda_req_causeAttrib: public Tango::SpectrumAttr
{
public:
	Ronda_req_causeAttrib():SpectrumAttr("Ronda_req_cause", Tango::DEV_SHORT, Tango::READ, 5) {};
	~Ronda_req_causeAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Ronda_req_cause(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Ronda_req_cause_allowed(ty);}
};

class Disabled_boardsAttrib: public Tango::SpectrumAttr
{
public:
	Disabled_boardsAttrib():SpectrumAttr("Disabled_boards", Tango::DEV_BOOLEAN, Tango::READ, 28) {};
	~Disabled_boardsAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Disabled_boards(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Disabled_boards_allowed(ty);}
};

class Resettable_boardsAttrib: public Tango::SpectrumAttr
{
public:
	Resettable_boardsAttrib():SpectrumAttr("Resettable_boards", Tango::DEV_BOOLEAN, Tango::READ, 28) {};
	~Resettable_boardsAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Resettable_boards(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Resettable_boards_allowed(ty);}
};

class Ctrl_namesAttrib: public Tango::SpectrumAttr
{
public:
	Ctrl_namesAttrib():SpectrumAttr("Ctrl_names", Tango::DEV_STRING, Tango::READ, 116) {};
	~Ctrl_namesAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Ctrl_names(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Ctrl_names_allowed(ty);}
};

class Ronda_namesAttrib: public Tango::SpectrumAttr
{
public:
	Ronda_namesAttrib():SpectrumAttr("Ronda_names", Tango::DEV_STRING, Tango::READ, 116) {};
	~Ronda_namesAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Ronda_names(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Ronda_names_allowed(ty);}
};

class Old_eme_buttonsAttrib: public Tango::SpectrumAttr
{
public:
	Old_eme_buttonsAttrib():SpectrumAttr("Old_eme_buttons", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
	~Old_eme_buttonsAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Old_eme_buttons(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Old_eme_buttons_allowed(ty);}
};

class Ronda_sxAttrib: public Tango::SpectrumAttr
{
public:
	Ronda_sxAttrib():SpectrumAttr("Ronda_sx", Tango::DEV_BOOLEAN, Tango::READ, 8) {};
	~Ronda_sxAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Ronda_sx(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Ronda_sx_allowed(ty);}
};

class Ronda_dxAttrib: public Tango::SpectrumAttr
{
public:
	Ronda_dxAttrib():SpectrumAttr("Ronda_dx", Tango::DEV_BOOLEAN, Tango::READ, 8) {};
	~Ronda_dxAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Ronda_dx(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Ronda_dx_allowed(ty);}
};

class Ronda_intAttrib: public Tango::SpectrumAttr
{
public:
	Ronda_intAttrib():SpectrumAttr("Ronda_int", Tango::DEV_BOOLEAN, Tango::READ, 8) {};
	~Ronda_intAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Ronda_int(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Ronda_int_allowed(ty);}
};

class Ronda_roofAttrib: public Tango::SpectrumAttr
{
public:
	Ronda_roofAttrib():SpectrumAttr("Ronda_roof", Tango::DEV_BOOLEAN, Tango::READ, 8) {};
	~Ronda_roofAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Ronda_roof(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Ronda_roof_allowed(ty);}
};

class Old_doors_allAttrib: public Tango::SpectrumAttr
{
public:
	Old_doors_allAttrib():SpectrumAttr("Old_doors_all", Tango::DEV_BOOLEAN, Tango::READ, 24) {};
	~Old_doors_allAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Old_doors_all(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Old_doors_all_allowed(ty);}
};

class Doors_allAttrib: public Tango::SpectrumAttr
{
public:
	Doors_allAttrib():SpectrumAttr("Doors_all", Tango::DEV_BOOLEAN, Tango::READ, 24) {};
	~Doors_allAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Doors_all(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Doors_all_allowed(ty);}
};

class Ronda_ptAttrib: public Tango::SpectrumAttr
{
public:
	Ronda_ptAttrib():SpectrumAttr("Ronda_pt", Tango::DEV_BOOLEAN, Tango::READ, 4) {};
	~Ronda_ptAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Ronda_pt(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Ronda_pt_allowed(ty);}
};

class Puls_rda_npAttrib: public Tango::SpectrumAttr
{
public:
	Puls_rda_npAttrib():SpectrumAttr("Puls_rda_np", Tango::DEV_BOOLEAN, Tango::READ, 8) {};
	~Puls_rda_npAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Puls_rda_np(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Puls_rda_np_allowed(ty);}
};

class BstBts_2_1Attrib: public Tango::SpectrumAttr
{
public:
	BstBts_2_1Attrib():SpectrumAttr("BstBts_2_1", Tango::DEV_BOOLEAN, Tango::READ, 8) {};
	~BstBts_2_1Attrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_BstBts_2_1(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_BstBts_2_1_allowed(ty);}
};

class Rf_boosterAttrib: public Tango::SpectrumAttr
{
public:
	Rf_boosterAttrib():SpectrumAttr("Rf_booster", Tango::DEV_BOOLEAN, Tango::READ, 8) {};
	~Rf_boosterAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Rf_booster(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Rf_booster_allowed(ty);}
};

class Release_key_injAttrib: public Tango::SpectrumAttr
{
public:
	Release_key_injAttrib():SpectrumAttr("Release_key_inj", Tango::DEV_BOOLEAN, Tango::READ, 8) {};
	~Release_key_injAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Release_key_inj(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Release_key_inj_allowed(ty);}
};

class Release_key_boAttrib: public Tango::SpectrumAttr
{
public:
	Release_key_boAttrib():SpectrumAttr("Release_key_bo", Tango::DEV_BOOLEAN, Tango::READ, 8) {};
	~Release_key_boAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Release_key_bo(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Release_key_bo_allowed(ty);}
};

class TimersAttrib: public Tango::SpectrumAttr
{
public:
	TimersAttrib():SpectrumAttr("Timers", Tango::DEV_BOOLEAN, Tango::READ, 4) {};
	~TimersAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Timers(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Timers_allowed(ty);}
};

class Old_Doors_2Attrib: public Tango::SpectrumAttr
{
public:
	Old_Doors_2Attrib():SpectrumAttr("Old_Doors_2", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
	~Old_Doors_2Attrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Old_Doors_2(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Old_Doors_2_allowed(ty);}
};

class Old_Doors_1Attrib: public Tango::SpectrumAttr
{
public:
	Old_Doors_1Attrib():SpectrumAttr("Old_Doors_1", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
	~Old_Doors_1Attrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Old_Doors_1(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Old_Doors_1_allowed(ty);}
};

class Ronda_barr_bstAttrib: public Tango::SpectrumAttr
{
public:
	Ronda_barr_bstAttrib():SpectrumAttr("Ronda_barr_bst", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
	~Ronda_barr_bstAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Ronda_barr_bst(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Ronda_barr_bst_allowed(ty);}
};

class Ronda_rblAttrib: public Tango::SpectrumAttr
{
public:
	Ronda_rblAttrib():SpectrumAttr("Ronda_rbl", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
	~Ronda_rblAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Ronda_rbl(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Ronda_rbl_allowed(ty);}
};

class Ronda_rbAttrib: public Tango::SpectrumAttr
{
public:
	Ronda_rbAttrib():SpectrumAttr("Ronda_rb", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
	~Ronda_rbAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Ronda_rb(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Ronda_rb_allowed(ty);}
};

class Ronda_almAttrib: public Tango::SpectrumAttr
{
public:
	Ronda_almAttrib():SpectrumAttr("Ronda_alm", Tango::DEV_BOOLEAN, Tango::READ, 8) {};
	~Ronda_almAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Ronda_alm(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Ronda_alm_allowed(ty);}
};

class Ronda_procAttrib: public Tango::SpectrumAttr
{
public:
	Ronda_procAttrib():SpectrumAttr("Ronda_proc", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
	~Ronda_procAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Ronda_proc(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Ronda_proc_allowed(ty);}
};

class Ronda_allAttrib: public Tango::SpectrumAttr
{
public:
	Ronda_allAttrib():SpectrumAttr("Ronda_all", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
	~Ronda_allAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Ronda_all(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Ronda_all_allowed(ty);}
};

class Part_bstB_1_3Attrib: public Tango::SpectrumAttr
{
public:
	Part_bstB_1_3Attrib():SpectrumAttr("Part_bstB_1_3", Tango::DEV_BOOLEAN, Tango::READ, 6) {};
	~Part_bstB_1_3Attrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Part_bstB_1_3(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Part_bstB_1_3_allowed(ty);}
};

class Part_bstB_1_2Attrib: public Tango::SpectrumAttr
{
public:
	Part_bstB_1_2Attrib():SpectrumAttr("Part_bstB_1_2", Tango::DEV_BOOLEAN, Tango::READ, 6) {};
	~Part_bstB_1_2Attrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Part_bstB_1_2(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Part_bstB_1_2_allowed(ty);}
};

class Part_bstB_1_1Attrib: public Tango::SpectrumAttr
{
public:
	Part_bstB_1_1Attrib():SpectrumAttr("Part_bstB_1_1", Tango::DEV_BOOLEAN, Tango::READ, 6) {};
	~Part_bstB_1_1Attrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Part_bstB_1_1(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Part_bstB_1_1_allowed(ty);}
};

class Part_bstB_13_1Attrib: public Tango::SpectrumAttr
{
public:
	Part_bstB_13_1Attrib():SpectrumAttr("Part_bstB_13_1", Tango::DEV_BOOLEAN, Tango::READ, 6) {};
	~Part_bstB_13_1Attrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Part_bstB_13_1(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Part_bstB_13_1_allowed(ty);}
};

class Sir_buzAttrib: public Tango::SpectrumAttr
{
public:
	Sir_buzAttrib():SpectrumAttr("Sir_buz", Tango::DEV_BOOLEAN, Tango::READ, 8) {};
	~Sir_buzAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Sir_buz(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Sir_buz_allowed(ty);}
};

class KeysAttrib: public Tango::SpectrumAttr
{
public:
	KeysAttrib():SpectrumAttr("Keys", Tango::DEV_BOOLEAN, Tango::READ, 3) {};
	~KeysAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Keys(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Keys_allowed(ty);}
};

class Gamma_monitorAttrib: public Tango::SpectrumAttr
{
public:
	Gamma_monitorAttrib():SpectrumAttr("Gamma_monitor", Tango::DEV_BOOLEAN, Tango::READ, 3) {};
	~Gamma_monitorAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Gamma_monitor(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Gamma_monitor_allowed(ty);}
};

class LampAttrib: public Tango::SpectrumAttr
{
public:
	LampAttrib():SpectrumAttr("Lamp", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
	~LampAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Lamp(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Lamp_allowed(ty);}
};

class Eme_buttonsAttrib: public Tango::SpectrumAttr
{
public:
	Eme_buttonsAttrib():SpectrumAttr("Eme_buttons", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
	~Eme_buttonsAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Eme_buttons(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Eme_buttons_allowed(ty);}
};

class Doors_2Attrib: public Tango::SpectrumAttr
{
public:
	Doors_2Attrib():SpectrumAttr("Doors_2", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
	~Doors_2Attrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Doors_2(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Doors_2_allowed(ty);}
};

class Doors_1Attrib: public Tango::SpectrumAttr
{
public:
	Doors_1Attrib():SpectrumAttr("Doors_1", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
	~Doors_1Attrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Doors_1(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Doors_1_allowed(ty);}
};

class BstBts_1_3Attrib: public Tango::SpectrumAttr
{
public:
	BstBts_1_3Attrib():SpectrumAttr("BstBts_1_3", Tango::DEV_BOOLEAN, Tango::READ, 8) {};
	~BstBts_1_3Attrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_BstBts_1_3(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_BstBts_1_3_allowed(ty);}
};

class BstBts_1_2Attrib: public Tango::SpectrumAttr
{
public:
	BstBts_1_2Attrib():SpectrumAttr("BstBts_1_2", Tango::DEV_BOOLEAN, Tango::READ, 8) {};
	~BstBts_1_2Attrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_BstBts_1_2(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_BstBts_1_2_allowed(ty);}
};

class BstBts_1_1Attrib: public Tango::SpectrumAttr
{
public:
	BstBts_1_1Attrib():SpectrumAttr("BstBts_1_1", Tango::DEV_BOOLEAN, Tango::READ, 8) {};
	~BstBts_1_1Attrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_BstBts_1_1(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_BstBts_1_1_allowed(ty);}
};

class BstB_13_1Attrib: public Tango::SpectrumAttr
{
public:
	BstB_13_1Attrib():SpectrumAttr("BstB_13_1", Tango::DEV_BOOLEAN, Tango::READ, 8) {};
	~BstB_13_1Attrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_BstB_13_1(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_BstB_13_1_allowed(ty);}
};

class Ring_abiAttrib: public Tango::SpectrumAttr
{
public:
	Ring_abiAttrib():SpectrumAttr("Ring_abi", Tango::DEV_BOOLEAN, Tango::READ, 7) {};
	~Ring_abiAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Ring_abi(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Ring_abi_allowed(ty);}
};

class Abi_rfAttrib: public Tango::SpectrumAttr
{
public:
	Abi_rfAttrib():SpectrumAttr("Abi_rf", Tango::DEV_BOOLEAN, Tango::READ, 2) {};
	~Abi_rfAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Abi_rf(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Abi_rf_allowed(ty);}
};

class Bo_top_upAttrib: public Tango::SpectrumAttr
{
public:
	Bo_top_upAttrib():SpectrumAttr("Bo_top_up", Tango::DEV_BOOLEAN, Tango::READ, 4) {};
	~Bo_top_upAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Bo_top_up(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Bo_top_up_allowed(ty);}
};

class Rf_enableAttrib: public Tango::SpectrumAttr
{
public:
	Rf_enableAttrib():SpectrumAttr("Rf_enable", Tango::DEV_BOOLEAN, Tango::READ, 9) {};
	~Rf_enableAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Rf_enable(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Rf_enable_allowed(ty);}
};

class Semaph_injAttrib: public Tango::SpectrumAttr
{
public:
	Semaph_injAttrib():SpectrumAttr("Semaph_inj", Tango::DEV_BOOLEAN, Tango::READ, 8) {};
	~Semaph_injAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Semaph_inj(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Semaph_inj_allowed(ty);}
};

class Semaph_boAttrib: public Tango::SpectrumAttr
{
public:
	Semaph_boAttrib():SpectrumAttr("Semaph_bo", Tango::DEV_BOOLEAN, Tango::READ, 8) {};
	~Semaph_boAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Semaph_bo(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Semaph_bo_allowed(ty);}
};

class Rf_statAttrib: public Tango::SpectrumAttr
{
public:
	Rf_statAttrib():SpectrumAttr("Rf_stat", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
	~Rf_statAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Rf_stat(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Rf_stat_allowed(ty);}
};

class Machine_statAttrib: public Tango::SpectrumAttr
{
public:
	Machine_statAttrib():SpectrumAttr("Machine_stat", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
	~Machine_statAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Machine_stat(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Machine_stat_allowed(ty);}
};

class Boost_statAttrib: public Tango::SpectrumAttr
{
public:
	Boost_statAttrib():SpectrumAttr("Boost_stat", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
	~Boost_statAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Boost_stat(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Boost_stat_allowed(ty);}
};

class Lock_injAttrib: public Tango::SpectrumAttr
{
public:
	Lock_injAttrib():SpectrumAttr("Lock_inj", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
	~Lock_injAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Lock_inj(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Lock_inj_allowed(ty);}
};

class Lock_boAttrib: public Tango::SpectrumAttr
{
public:
	Lock_boAttrib():SpectrumAttr("Lock_bo", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
	~Lock_boAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Lock_bo(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Lock_bo_allowed(ty);}
};

class Alarm_door_injAttrib: public Tango::SpectrumAttr
{
public:
	Alarm_door_injAttrib():SpectrumAttr("Alarm_door_inj", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
	~Alarm_door_injAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Alarm_door_inj(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Alarm_door_inj_allowed(ty);}
};

class Alarm_door_boAttrib: public Tango::SpectrumAttr
{
public:
	Alarm_door_boAttrib():SpectrumAttr("Alarm_door_bo", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
	~Alarm_door_boAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Alarm_door_bo(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Alarm_door_bo_allowed(ty);}
};

class Dr_in_inj_procAttrib: public Tango::SpectrumAttr
{
public:
	Dr_in_inj_procAttrib():SpectrumAttr("Dr_in_inj_proc", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
	~Dr_in_inj_procAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Dr_in_inj_proc(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Dr_in_inj_proc_allowed(ty);}
};

class Dr_in_inj_statAttrib: public Tango::SpectrumAttr
{
public:
	Dr_in_inj_statAttrib():SpectrumAttr("Dr_in_inj_stat", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
	~Dr_in_inj_statAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Dr_in_inj_stat(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Dr_in_inj_stat_allowed(ty);}
};

class Dr_in_bo_procAttrib: public Tango::SpectrumAttr
{
public:
	Dr_in_bo_procAttrib():SpectrumAttr("Dr_in_bo_proc", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
	~Dr_in_bo_procAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Dr_in_bo_proc(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Dr_in_bo_proc_allowed(ty);}
};

class Dr_in_bo_statAttrib: public Tango::SpectrumAttr
{
public:
	Dr_in_bo_statAttrib():SpectrumAttr("Dr_in_bo_stat", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
	~Dr_in_bo_statAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Dr_in_bo_stat(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Dr_in_bo_stat_allowed(ty);}
};

class Panel_injAttrib: public Tango::SpectrumAttr
{
public:
	Panel_injAttrib():SpectrumAttr("Panel_inj", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
	~Panel_injAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Panel_inj(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Panel_inj_allowed(ty);}
};

class Panel_boAttrib: public Tango::SpectrumAttr
{
public:
	Panel_boAttrib():SpectrumAttr("Panel_bo", Tango::DEV_BOOLEAN, Tango::READ, 16) {};
	~Panel_boAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Panel_bo(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Panel_bo_allowed(ty);}
};

class Badge_injAttrib: public Tango::SpectrumAttr
{
public:
	Badge_injAttrib():SpectrumAttr("Badge_inj", Tango::DEV_STRING, Tango::READ, 8) {};
	~Badge_injAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Badge_inj(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Badge_inj_allowed(ty);}
};

class Posto_injAttrib: public Tango::SpectrumAttr
{
public:
	Posto_injAttrib():SpectrumAttr("Posto_inj", Tango::DEV_BOOLEAN, Tango::READ, 8) {};
	~Posto_injAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Posto_inj(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Posto_inj_allowed(ty);}
};

class Badge_boAttrib: public Tango::SpectrumAttr
{
public:
	Badge_boAttrib():SpectrumAttr("Badge_bo", Tango::DEV_STRING, Tango::READ, 8) {};
	~Badge_boAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Badge_bo(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Badge_bo_allowed(ty);}
};

class Posto_boAttrib: public Tango::SpectrumAttr
{
public:
	Posto_boAttrib():SpectrumAttr("Posto_bo", Tango::DEV_BOOLEAN, Tango::READ, 8) {};
	~Posto_boAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Posto_bo(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Posto_bo_allowed(ty);}
};

class Max_short_timeAttrib: public Tango::Attr
{
public:
	Max_short_timeAttrib():Attr("Max_short_time", Tango::DEV_DOUBLE, Tango::READ) {};
	~Max_short_timeAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Max_short_time(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Max_short_time_allowed(ty);}
};

class Max_long_timeAttrib: public Tango::Attr
{
public:
	Max_long_timeAttrib():Attr("Max_long_time", Tango::DEV_DOUBLE, Tango::READ) {};
	~Max_long_timeAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Max_long_time(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Max_long_time_allowed(ty);}
};

class Curr_lost_long_termAttrib: public Tango::Attr
{
public:
	Curr_lost_long_termAttrib():Attr("Curr_lost_long_term", Tango::DEV_DOUBLE, Tango::READ) {};
	~Curr_lost_long_termAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Curr_lost_long_term(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Curr_lost_long_term_allowed(ty);}
};

class Curr_lost_short_termAttrib: public Tango::Attr
{
public:
	Curr_lost_short_termAttrib():Attr("Curr_lost_short_term", Tango::DEV_DOUBLE, Tango::READ) {};
	~Curr_lost_short_termAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Curr_lost_short_term(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Curr_lost_short_term_allowed(ty);}
};

class Shot_numberAttrib: public Tango::Attr
{
public:
	Shot_numberAttrib():Attr("Shot_number", Tango::DEV_USHORT, Tango::READ) {};
	~Shot_numberAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Shot_number(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Shot_number_allowed(ty);}
};

class On_topupAttrib: public Tango::Attr
{
public:
	On_topupAttrib():Attr("On_topup", Tango::DEV_BOOLEAN, Tango::READ) {};
	~On_topupAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_On_topup(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_On_topup_allowed(ty);}
};

class Gun_trigger_access_abiAttrib: public Tango::Attr
{
public:
	Gun_trigger_access_abiAttrib():Attr("Gun_trigger_access_abi", Tango::DEV_BOOLEAN, Tango::READ) {};
	~Gun_trigger_access_abiAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Gun_trigger_access_abi(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Gun_trigger_access_abi_allowed(ty);}
};

class Gun_trigger_interlock_abiAttrib: public Tango::Attr
{
public:
	Gun_trigger_interlock_abiAttrib():Attr("Gun_trigger_interlock_abi", Tango::DEV_BOOLEAN, Tango::READ) {};
	~Gun_trigger_interlock_abiAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Gun_trigger_interlock_abi(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Gun_trigger_interlock_abi_allowed(ty);}
};

class Gun_trigger_onAttrib: public Tango::Attr
{
public:
	Gun_trigger_onAttrib():Attr("Gun_trigger_on", Tango::DEV_BOOLEAN, Tango::READ) {};
	~Gun_trigger_onAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Gun_trigger_on(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Gun_trigger_on_allowed(ty);}
};

class VersionAttrib: public Tango::Attr
{
public:
	VersionAttrib():Attr("Version", Tango::DEV_STRING, Tango::READ) {};
	~VersionAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Version(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Version_allowed(ty);}
};

class Msg_int_injAttrib: public Tango::Attr
{
public:
	Msg_int_injAttrib():Attr("Msg_int_inj", Tango::DEV_SHORT, Tango::READ) {};
	~Msg_int_injAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Msg_int_inj(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Msg_int_inj_allowed(ty);}
};

class Msg_est_injAttrib: public Tango::Attr
{
public:
	Msg_est_injAttrib():Attr("Msg_est_inj", Tango::DEV_SHORT, Tango::READ) {};
	~Msg_est_injAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Msg_est_inj(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Msg_est_inj_allowed(ty);}
};

class Msg_int_boAttrib: public Tango::Attr
{
public:
	Msg_int_boAttrib():Attr("Msg_int_bo", Tango::DEV_SHORT, Tango::READ) {};
	~Msg_int_boAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Msg_int_bo(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Msg_int_bo_allowed(ty);}
};

class Msg_est_boAttrib: public Tango::Attr
{
public:
	Msg_est_boAttrib():Attr("Msg_est_bo", Tango::DEV_SHORT, Tango::READ) {};
	~Msg_est_boAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Msg_est_bo(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Msg_est_bo_allowed(ty);}
};

class Plc_timestampAttrib: public Tango::Attr
{
public:
	Plc_timestampAttrib():Attr("Plc_timestamp", Tango::DEV_STRING, Tango::READ) {};
	~Plc_timestampAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Plc_timestamp(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Plc_timestamp_allowed(ty);}
};

class Plc_statusAttrib: public Tango::Attr
{
public:
	Plc_statusAttrib():Attr("Plc_status", Tango::DEV_BOOLEAN, Tango::READ) {};
	~Plc_statusAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Plc_status(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Plc_status_allowed(ty);}
};

class Badge_ack_injAttrib: public Tango::Attr
{
public:
	Badge_ack_injAttrib():Attr("Badge_ack_inj", Tango::DEV_STRING, Tango::READ) {};
	~Badge_ack_injAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Badge_ack_inj(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Badge_ack_inj_allowed(ty);}
};

class Badge_ack_boAttrib: public Tango::Attr
{
public:
	Badge_ack_boAttrib():Attr("Badge_ack_bo", Tango::DEV_STRING, Tango::READ) {};
	~Badge_ack_boAttrib() {};
	
	virtual void read(Tango::DeviceImpl *dev,Tango::Attribute &att)
	{(static_cast<PLCaccess *>(dev))->read_Badge_ack_bo(att);}
	virtual bool is_allowed(Tango::DeviceImpl *dev,Tango::AttReqType ty)
	{return (static_cast<PLCaccess *>(dev))->is_Badge_ack_bo_allowed(ty);}
};

//=========================================
//	Define classes for commands
//=========================================
class Err_topup_rstCmd : public Tango::Command
{
public:
	Err_topup_rstCmd(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Err_topup_rstCmd(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Err_topup_rstCmd() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Err_topup_rst_allowed(any);}
};



class Rst_top_upCmd : public Tango::Command
{
public:
	Rst_top_upCmd(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Rst_top_upCmd(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Rst_top_upCmd() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Rst_top_up_allowed(any);}
};



class SyncronizeClass : public Tango::Command
{
public:
	SyncronizeClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	SyncronizeClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~SyncronizeClass() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Syncronize_allowed(any);}
};



class Gun_offClass : public Tango::Command
{
public:
	Gun_offClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Gun_offClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Gun_offClass() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Gun_off_allowed(any);}
};



class Gun_onClass : public Tango::Command
{
public:
	Gun_onClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Gun_onClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Gun_onClass() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Gun_on_allowed(any);}
};



class Echo_db122Class : public Tango::Command
{
public:
	Echo_db122Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Echo_db122Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Echo_db122Class() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Echo_db122_allowed(any);}
};



class Echo_db121Cmd : public Tango::Command
{
public:
	Echo_db121Cmd(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Echo_db121Cmd(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Echo_db121Cmd() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Echo_db121_allowed(any);}
};



class Echo_db51Class : public Tango::Command
{
public:
	Echo_db51Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Echo_db51Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Echo_db51Class() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Echo_db51_allowed(any);}
};



class Echo_db50Class : public Tango::Command
{
public:
	Echo_db50Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Echo_db50Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Echo_db50Class() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Echo_db50_allowed(any);}
};



class Confirm_ack_emeClass : public Tango::Command
{
public:
	Confirm_ack_emeClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Confirm_ack_emeClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Confirm_ack_emeClass() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Confirm_ack_eme_allowed(any);}
};



class Confirm_set_topupClass : public Tango::Command
{
public:
	Confirm_set_topupClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Confirm_set_topupClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Confirm_set_topupClass() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Confirm_set_topup_allowed(any);}
};



class Confirm_close_bst_blClass : public Tango::Command
{
public:
	Confirm_close_bst_blClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Confirm_close_bst_blClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Confirm_close_bst_blClass() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Confirm_close_bst_bl_allowed(any);}
};



class Confirm_reint_pasvClass : public Tango::Command
{
public:
	Confirm_reint_pasvClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Confirm_reint_pasvClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Confirm_reint_pasvClass() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Confirm_reint_pasv_allowed(any);}
};



class Confirm_close_1_3Class : public Tango::Command
{
public:
	Confirm_close_1_3Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Confirm_close_1_3Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Confirm_close_1_3Class() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Confirm_close_1_3_allowed(any);}
};



class Confirm_open_1_3Class : public Tango::Command
{
public:
	Confirm_open_1_3Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Confirm_open_1_3Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Confirm_open_1_3Class() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Confirm_open_1_3_allowed(any);}
};



class Confirm_close_1_2Class : public Tango::Command
{
public:
	Confirm_close_1_2Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Confirm_close_1_2Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Confirm_close_1_2Class() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Confirm_close_1_2_allowed(any);}
};



class Confirm_open_1_2Class : public Tango::Command
{
public:
	Confirm_open_1_2Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Confirm_open_1_2Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Confirm_open_1_2Class() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Confirm_open_1_2_allowed(any);}
};



class Confirm_close_1_1Class : public Tango::Command
{
public:
	Confirm_close_1_1Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Confirm_close_1_1Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Confirm_close_1_1Class() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Confirm_close_1_1_allowed(any);}
};



class Confirm_open_1_1Class : public Tango::Command
{
public:
	Confirm_open_1_1Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Confirm_open_1_1Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Confirm_open_1_1Class() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Confirm_open_1_1_allowed(any);}
};



class Confirm_close_13_1Class : public Tango::Command
{
public:
	Confirm_close_13_1Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Confirm_close_13_1Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Confirm_close_13_1Class() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Confirm_close_13_1_allowed(any);}
};



class Confirm_open_13_1Class : public Tango::Command
{
public:
	Confirm_open_13_1Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Confirm_open_13_1Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Confirm_open_13_1Class() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Confirm_open_13_1_allowed(any);}
};



class Del_posto_injCmd : public Tango::Command
{
public:
	Del_posto_injCmd(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Del_posto_injCmd(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Del_posto_injCmd() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Del_posto_inj_allowed(any);}
};



class Open_door_injCmd : public Tango::Command
{
public:
	Open_door_injCmd(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Open_door_injCmd(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Open_door_injCmd() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Open_door_inj_allowed(any);}
};



class Open_door_boCmd : public Tango::Command
{
public:
	Open_door_boCmd(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Open_door_boCmd(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Open_door_boCmd() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Open_door_bo_allowed(any);}
};



class Ripr_in_injCmd : public Tango::Command
{
public:
	Ripr_in_injCmd(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Ripr_in_injCmd(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Ripr_in_injCmd() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Ripr_in_inj_allowed(any);}
};



class Ripr_in_boostCmd : public Tango::Command
{
public:
	Ripr_in_boostCmd(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Ripr_in_boostCmd(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Ripr_in_boostCmd() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Ripr_in_boost_allowed(any);}
};



class End_ronda_roofClass : public Tango::Command
{
public:
	End_ronda_roofClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	End_ronda_roofClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~End_ronda_roofClass() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_End_ronda_roof_allowed(any);}
};



class Start_ronda_roofClass : public Tango::Command
{
public:
	Start_ronda_roofClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Start_ronda_roofClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Start_ronda_roofClass() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Start_ronda_roof_allowed(any);}
};



class End_ronda_sxClass : public Tango::Command
{
public:
	End_ronda_sxClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	End_ronda_sxClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~End_ronda_sxClass() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_End_ronda_sx_allowed(any);}
};



class Start_ronda_sxClass : public Tango::Command
{
public:
	Start_ronda_sxClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Start_ronda_sxClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Start_ronda_sxClass() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Start_ronda_sx_allowed(any);}
};



class End_ronda_dxClass : public Tango::Command
{
public:
	End_ronda_dxClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	End_ronda_dxClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~End_ronda_dxClass() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_End_ronda_dx_allowed(any);}
};



class Start_ronda_dxClass : public Tango::Command
{
public:
	Start_ronda_dxClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Start_ronda_dxClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Start_ronda_dxClass() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Start_ronda_dx_allowed(any);}
};



class End_ronda_intClass : public Tango::Command
{
public:
	End_ronda_intClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	End_ronda_intClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~End_ronda_intClass() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_End_ronda_int_allowed(any);}
};



class Start_ronda_intClass : public Tango::Command
{
public:
	Start_ronda_intClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Start_ronda_intClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Start_ronda_intClass() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Start_ronda_int_allowed(any);}
};



class End_ronda_boClass : public Tango::Command
{
public:
	End_ronda_boClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	End_ronda_boClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~End_ronda_boClass() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_End_ronda_bo_allowed(any);}
};



class Start_ronda_boClass : public Tango::Command
{
public:
	Start_ronda_boClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Start_ronda_boClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Start_ronda_boClass() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Start_ronda_bo_allowed(any);}
};



class Call_ronda_boClass : public Tango::Command
{
public:
	Call_ronda_boClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Call_ronda_boClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Call_ronda_boClass() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Call_ronda_bo_allowed(any);}
};



class Ack_emeCmd : public Tango::Command
{
public:
	Ack_emeCmd(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Ack_emeCmd(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Ack_emeCmd() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Ack_eme_allowed(any);}
};



class Set_top_upCmd : public Tango::Command
{
public:
	Set_top_upCmd(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Set_top_upCmd(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Set_top_upCmd() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Set_top_up_allowed(any);}
};



class Close_bst_blClass : public Tango::Command
{
public:
	Close_bst_blClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Close_bst_blClass(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Close_bst_blClass() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Close_bst_bl_allowed(any);}
};



class Reint_pasvCmd : public Tango::Command
{
public:
	Reint_pasvCmd(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Reint_pasvCmd(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Reint_pasvCmd() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Reint_pasv_allowed(any);}
};



class Del_posto_boCmd : public Tango::Command
{
public:
	Del_posto_boCmd(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Del_posto_boCmd(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Del_posto_boCmd() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Del_posto_bo_allowed(any);}
};



class Close_bst_bts1_3Class : public Tango::Command
{
public:
	Close_bst_bts1_3Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Close_bst_bts1_3Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Close_bst_bts1_3Class() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Close_bst_bts1_3_allowed(any);}
};



class Open_bst_bts1_3Class : public Tango::Command
{
public:
	Open_bst_bts1_3Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Open_bst_bts1_3Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Open_bst_bts1_3Class() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Open_bst_bts1_3_allowed(any);}
};



class Close_bst_bts1_2Class : public Tango::Command
{
public:
	Close_bst_bts1_2Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Close_bst_bts1_2Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Close_bst_bts1_2Class() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Close_bst_bts1_2_allowed(any);}
};



class Open_bst_bts1_2Class : public Tango::Command
{
public:
	Open_bst_bts1_2Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Open_bst_bts1_2Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Open_bst_bts1_2Class() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Open_bst_bts1_2_allowed(any);}
};



class Close_bst_bts1_1Class : public Tango::Command
{
public:
	Close_bst_bts1_1Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Close_bst_bts1_1Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Close_bst_bts1_1Class() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Close_bst_bts1_1_allowed(any);}
};



class Open_bst_bts1_1Class : public Tango::Command
{
public:
	Open_bst_bts1_1Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Open_bst_bts1_1Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Open_bst_bts1_1Class() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Open_bst_bts1_1_allowed(any);}
};



class Close_bst_b13_1Class : public Tango::Command
{
public:
	Close_bst_b13_1Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Close_bst_b13_1Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Close_bst_b13_1Class() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Close_bst_b13_1_allowed(any);}
};



class Open_bst_b13_1Class : public Tango::Command
{
public:
	Open_bst_b13_1Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out,
				   const char        *in_desc,
				   const char        *out_desc,
				   Tango::DispLevel  level)
	:Command(name,in,out,in_desc,out_desc, level)	{};

	Open_bst_b13_1Class(const char   *name,
	               Tango::CmdArgType in,
				   Tango::CmdArgType out)
	:Command(name,in,out)	{};
	~Open_bst_b13_1Class() {};
	
	virtual CORBA::Any *execute (Tango::DeviceImpl *dev, const CORBA::Any &any);
	virtual bool is_allowed (Tango::DeviceImpl *dev, const CORBA::Any &any)
	{return (static_cast<PLCaccess *>(dev))->is_Open_bst_b13_1_allowed(any);}
};



//
// The PLCaccessClass singleton definition
//

class PLCaccessClass : public Tango::DeviceClass
{
public:
//	properties member data

//	add your own data members here
//------------------------------------

public:
	Tango::DbData	cl_prop;
	Tango::DbData	cl_def_prop;
	Tango::DbData	dev_def_prop;

//	Method prototypes
	static PLCaccessClass *init(const char *);
	static PLCaccessClass *instance();
	~PLCaccessClass();
	Tango::DbDatum	get_class_property(string &);
	Tango::DbDatum	get_default_device_property(string &);
	Tango::DbDatum	get_default_class_property(string &);
	
protected:
	PLCaccessClass(string &);
	static PLCaccessClass *_instance;
	void command_factory();
	void get_class_property();
	void attribute_factory(vector<Tango::Attr *> &);
	void write_class_property();
	void set_default_property();

private:
	void device_factory(const Tango::DevVarStringArray *);
};


}	//	namespace PLCaccess_ns

#endif // _PLCACCESSCLASS_H
